LogSystem (Velocity 1.4 API)
Keywords: org.apache.velocity.runtime.log.LogSystem interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.log
Interface LogSystem

All Known Implementing Classes:
  AvalonLogSystem, ClassloaderChangeTest, EventHandlingTestCase, ExternalLoggerTest, Log4JLogSystem, NullLogSystem, PrimordialLogSystem, SimpleLog4JLogSystem

public interface LogSystem

Base interface that Logging systems need to implement.

Version:
  $Id: LogSystem.java,v 1.7.10.1 2004/03/03 23:22:56 geirm Exp $
Author:
  Jon S. Stevens, Geir Magnusson Jr.

Field Summary
`static int` | `DEBUG_ID` Prefix for debug messages.
`static boolean` | `DEBUG_ON`
`static int` | `ERROR_ID` Prefix for error messages.
`static int` | `INFO_ID` Prefix for info messages.
`static int` | `WARN_ID` Prefix for warning messages.

Method Summary
`void` | `init(RuntimeServices rs)` init()
`void` | `logVelocityMessage(int level, java.lang.String message)` Send a log message from Velocity.

Field Detail

### DEBUG_ON

    public static final boolean DEBUG_ON

See Also:
  Constant Field Values

### DEBUG_ID

    public static final int DEBUG_ID

  Prefix for debug messages.

  See Also:
    Constant Field Values

### INFO_ID

    public static final int INFO_ID

  Prefix for info messages.

  See Also:
    Constant Field Values

### WARN_ID

    public static final int WARN_ID

  Prefix for warning messages.

  See Also:
    Constant Field Values

### ERROR_ID

    public static final int ERROR_ID

  Prefix for error messages.

  See Also:
    Constant Field Values

Method Detail

### init

    public void init(RuntimeServices rs)
              throws java.lang.Exception

  init()

  Throws:
    `java.lang.Exception`

### logVelocityMessage

    public void logVelocityMessage(int level,
                                   java.lang.String message)

  Send a log message from Velocity.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.